#!/bin/bash

echo "leds on"

LEDS_CONTROL=/tmp/bbshk_leds
LED_BOOT=2
LED_VIDEO=0

# touch $LEDS_CONTROL
# gpio write $LED_BOOT 1

gpio mode 0 out		# II 	green
gpio mode 2 out		# III 	red

while [ 1 ]; do

	LEDS_STATE=$(cat $LEDS_CONTROL)

	case "$LEDS_STATE" in
		"BOOTCOMPLETE")
			gpio write $LED_BOOT 1
		;;

		"NEWVIDEO")
			if [ -z $ONOFF ]; then 
				gpio write $LED_VIDEO 0
				ONOFF=1
			else 
				gpio write $LED_VIDEO 1
				ONOFF=''
			fi 
		;;

		"VIDEOSTARTED")
			gpio write $LED_VIDEO 1
		;;

		"VIDEOCOMPLETE")
			gpio write $LED_VIDEO 0
		;;

		*) # booting
			echo $LEDS_STATE
			if [ -z $ONOFF ]; then 
				gpio write $LED_BOOT 0
				ONOFF=1
			else 
				gpio write $LED_BOOT 1
				ONOFF=''
			fi 
		;;
	esac 

	sleep 0.5s
done
